## cdfs-src 2.4.20+2.6.3-2

=== Makefile ===
ifneq ($(KERNELRELEASE),)
obj-m := cdfs.o
cdfs-objs := root.o audio.o cdXA.o cddata.o hfs.o iso.o proc.o root.o utils.o daemon.o discid.o toc.o

else
KDIR        := /lib/modules/$(shell uname -r)/build
PWD         := $(shell pwd)

all:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

install:
	$(MAKE) -C $(KDIR) SUBDIRS=$(pwd) modules_install
endif


clean:
	-rm *.o *.ko .*.cmd *.mod.c *~

## cdfs-src 0.5b-3

=== debian/changelog ===
cdfs-src (0.5b-3) unstable; urgency=low

  * renamed the source tarball, closes: #137767
  * gived a proper version name, now ready for producing official packages

 -- Eduard Bloch <blade@debian.org>  Wed, 13 Mar 2002 00:22:22 +0100

cdfs-src (0.5b-2) unstable; urgency=medium

  * fixed the target path for cdfs.o, closes: #132580
  * improved description for the generated modules package

 -- Eduard Bloch <blade@debian.org>  Wed,  6 Feb 2002 19:09:20 +0100

cdfs-src (0.5b-1) unstable; urgency=low

  * New upstream release
  * included a (wrapper) kdist rule, needed by make-kpkg in some cases.
    Closes: #130316
  * Improved README.Debian and copyright files
  * Hack to merge the kernel release number with package's version string

 -- Eduard Bloch <blade@debian.org>  Tue, 22 Jan 2002 00:25:01 +0100

cdfs-src (0.5a-5) unstable; urgency=low

  * fixed a logical error which could make dpkg-gencontrol fail

 -- Eduard Bloch <blade@debian.org>  Wed,  7 Nov 2001 09:10:16 +0100

cdfs-src (0.5a-4) unstable; urgency=low

  * fixed duplicated lines. Closes: #117655
  * distributing in a tarbal. More simple to clean and reinstall later
  * suggesting 2.4.x kernel source, set Arch to all
  * improved README.Debian

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Oct 2001 16:20:50 +0100

cdfs-src (0.5a-3) unstable; urgency=low

  * corrected entry in debian.binary/changelog <ashamed>

 -- Eduard Bloch <blade@debian.org>  Wed, 13 Jun 2001 22:50:42 +0200

cdfs-src (0.5a-2) unstable; urgency=low

  * added a configure option to use $KSRC, thanks to
    lastxit+debbugs@technogeeks.org. Closes: #100553

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Jun 2001 07:14:58 +0200

cdfs-src (0.5a-1) unstable; urgency=low

  * Initial release.

 -- Eduard Bloch <blade@debian.org>  Sun,  3 Jun 2001 11:27:51 +0200

=== debian/control ===
Source: cdfs-src
Section: misc
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends-Indep: debhelper (>> 2.0.0), bzip2
Standards-Version: 3.5.2.0

Package: cdfs-src
Architecture: all
Depends: debhelper, kernel-package, make
Suggests: kernel-source-2.4
Description: shows the tracks on a CD as normal files
 CDfs is a file system for Linux systems that `exports' all tracks and
 boot images on a CD as normal files.  These files can then be mounted
 (e.g. for ISO and boot images), copied, played (WAVE audio and VideoCD
 tracks)... The primary goal for developing this file system was to
 `unlock' information in old ISO images.

=== cdfs/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

ifdef KDREV
FULLVER := $(shell dpkg-parsechangelog |grep ^Version | cut -f2 -d' ')+$(KDREV)
DEBDEP := (= $(KDREV))
else
FULLVER := $(shell dpkg-parsechangelog |grep ^Version | cut -f2 -d' ')
DEBDEP :=
endif

.PHONY: configure
configure:
	sed 's/#KVERS#/$(KVERS)/g' debian/control.template > $(CURDIR)/debian/control
#	-perl -pe '$$kver= (split(/-/, $$ENV{"KREL"}))[1]; do {s/(\d)k\d*/\1k$$kver/; $$c=1} if $$c !=1' -i~ debian/changelog
	dh_testdir
	dh_testroot
	./configure --with-kernel=$(KSRC)
	touch configure-stamp


.PHONY: build
build:
	dh_testdir
	dh_testroot

	$(MAKE)

	touch build-stamp


.PHONY: install
install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

.PHONY: binary_modules
binary_modules:
	dh_testdir
	dh_testroot
	cd $(CURDIR)
	mkdir -p debian/cdfs-$(KVERS)/lib/modules/$(KVERS)/kernel/fs
	cp cdfs.o debian/cdfs-$(KVERS)/lib/modules/$(KVERS)/kernel/fs/
#	dh_installdebconf	
	dh_installdocs cdfs.html cdfs.png
#	dh_installexamples
#	dh_installmanpages
#	dh_undocumented
	dh_installmodules
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol  -- -v$(FULLVER)
	dh_md5sums
	dh_builddeb --destdir=$(KSRC)/..


.PHONY: clean
clean:
	-dh_testdir
	-dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	-dh_clean

	-rm $(CURDIR)/debian/control
	-rm -rf $(CURDIR)/debian/cdfs-2.*
#	-rm $(CURDIR)/debian/dirs
#	-rm $(CURDIR)/debian/override
	-$(MAKE) clean


# The kdist_configure target is called by make-kpkg modules_config. It
# should configure the module so it is ready for compilation (mostly
# useful for calling configure)
.PHONY: kdist_config
kdist_config: configure


# the kdist_image target is called by make-kpkg modules_image. It is
# responsible for compiling the module and creating the package. It
# should also clean up after making the module. Please note we use a
# seperate binary-modules target to make testing the package building
# easier
.PHONY: kdist_image
kdist_image: kdist_targets clean

kdist_targets: clean configure build install binary_modules

# a wrapper rule
.PHONY: kdist
kdist: kdist_targets
	# Build a .changes file.
	KVERS="$(KVERS)" KSRC="$(KSRC)" KMAINT="$(KMAINT)" \
		REV="$(KDREV)" KEMAIL="$(KEMAIL)" sh -v debian/genchanges.sh
	# Only now can we clean up.
	debian/rules clean


# the kdist_clean target is called by make-kpkg modules_clean. It is
# responsible for cleaning up any changes that have been made by the
# other kdist_commands (except for the .deb files created).
.PHONY: kdist_clean
kdist_clean: clean

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	
	# add stuff for configuration

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(CURDIR)
#	export TARBALL=`echo cdfs*tar*`
#	export VERNAME=`echo cdfs*tar*|cut -f1 -d"."`
	mkdir -p $(CURDIR)/debian/cdfs-src/usr/src/modules
	bzcat cdfs*bz2 | tar xv -C $(CURDIR)/debian/cdfs-src/usr/src/modules/
	cd $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs* && mkdir debian
	cd $(CURDIR)/debian/cdfs-src/usr/src/modules/ && mv cdfs* cdfs
#	mv $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/$$VERNAME/* $(CURDIR)/debian/cdfs/usr/src/modules/cdfs/
#	rm -r $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/$$VERNAME
	cd $(CURDIR)
	install -m 444 $(CURDIR)/debian.binary/* debian/changelog patch.cdfs $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian/
	chmod 755 $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian/rules
	chmod 755 $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian/postinst
	dh_fixperms
	cd $(CURDIR)/debian/cdfs-src/usr/src && tar zcvf cdfs.tar.gz modules && rm -rf modules

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cdfs-src 2.4.20+2.6.3-2

=== debian/changelog ===
cdfs-src (2.4.20+2.6.3-2) unstable; urgency=low

  * removed the custom LD call, broke the module with newer kernels. Using the
    module built by kernel rules.

 -- Eduard Bloch <blade@debian.org>  Thu, 15 Apr 2004 02:42:38 +0200

cdfs-src (2.4.20+2.6.3-1) unstable; urgency=low

  * New (old) maintainer (closes: #242240)
  * new upstream releases (closes: #212778, #238329)
  * new version scheme choosen by upstream, we combine the two strings to one
  * changed to use module-assistant includes and one unified rules file
    (closes: #141868, #147097, #212777)
  * cdfs.tar compressed with bzip2 now, README.Debian updated (closes:#153989)

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Apr 2004 17:20:16 +0200

cdfs-src (0.5c-2) unstable; urgency=low

  * Orphaning this package due to a lack of time and interest 

 -- Christian Kesselheim <ckesselh@infeurope.lu>  Mon,  5 Apr 2004 16:03:10 +0200

cdfs-src (0.5c-1) unstable; urgency=low

  * New upstream release

 -- Christian Kesselheim <ckesselh@debian.org>  Mon, 13 May 2002 15:26:01 +0200

cdfs-src (0.5b-4) unstable; urgency=low

  * New maintainer
  * New upstream release

 -- Christian Kesselheim <ckesselh@debian.org>  Fri,  3 May 2002 15:56:04 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 
 Package: cdfs-src
 Architecture: all
-Depends: debhelper, kernel-package, make
-Suggests: kernel-source-2.4
+Depends: module-assistant, debhelper, kernel-package, make, bzip2
 Description: shows the tracks on a CD as normal files
  CDfs is a file system for Linux systems that `exports' all tracks and
  boot images on a CD as normal files.  These files can then be mounted

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	
	# add stuff for configuration

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(CURDIR)
	mkdir -p $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian
	for x in cdfs*bz2 ; do bzcat $$x | tar x -C $(CURDIR)/debian/cdfs-src/usr/src/modules/ ; done
	cd $(CURDIR)/debian/cdfs-src/usr/src/modules && mv cdfs-2.6.* cdfs/2.6 && mv cdfs-2.4* cdfs/2.4
	cp -a debian/*modules.in* debian/rules debian/*KVERS* debian/changelog debian/copyright patch.cdfs \
		$(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian/
	cp patch.cdfs debian/cdfs-src/usr/src/modules/cdfs/
	dh_fixperms
	cd $(CURDIR)/debian/cdfs-src/usr/src && tar c modules | bzip2 -9 > cdfs.tar.bz2 && rm -rf modules

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Name of package
PACKAGE         = cdfs
# modifieable for experiments or debugging m-a
MA_DIR ?= /usr/share/modass
# load generic variable handling
-include $(MA_DIR)/include/generic.mk
# load default rules
-include $(MA_DIR)/include/common-rules.mk
export CC

kdist_config: prep-deb-files

binary-modules:
	cd $(CURDIR)
	mkdir -p debian/cdfs-$(KVERS)/lib/modules/$(KVERS)/kernel/fs
ifeq ($(shell echo $(KVERS) | sed -e 's/\(...\).*/\1/'),2.6)
	cd 2.6 && make KDIR=$(KSRC)
#	$(LD) $(LDFLAGS) $(EXTRA_LDFLAGS) -r -o cdfs.ko 2.6/cdfs.o
	cp 2.6/cdfs.ko debian/cdfs-$(KVERS)/lib/modules/$(KVERS)/kernel/fs/
else
	cd 2.4 && ./configure --with-kernel-dir="$(KSRC)" && make CONFIG_CDFS_KERNELDIR="$(KSRC)"
	cp 2.4/cdfs.o debian/cdfs-$(KVERS)/lib/modules/$(KVERS)/kernel/fs/
endif
#	dh_installdebconf	
	dh_installdocs 2.6/cdfs.html 2.4/cdfs.png
#	dh_installexamples
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol  -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)

.PHONY: clean
kdist_clean:
	-dh_testdir
	-dh_testroot
	rm -f build-stamp configure-stamp
	-dh_clean
	-rm -f $(CURDIR)/debian/control
	-rm -rf $(CURDIR)/debian/cdfs-2.* *.o *.ko */*.o */*.ko
	-$(MAKE) clean
	-cd 2.6 && $(MAKE) clean
	-cd 2.4 && $(MAKE) clean


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cdfs-src 2.4.20.a+2.6.12-2

=== debian/changelog ===
cdfs-src (2.4.20.a+2.6.12-2) unstable; urgency=low

  * fixed the wrong path of the html file in the dh_installdocs call

 -- Eduard Bloch <blade@debian.org>  Thu, 29 Sep 2005 21:54:38 +0200

cdfs-src (2.4.20.a+2.6.12-1) unstable; urgency=low

  * New upstream versions (closes: #317906)

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Jul 2005 18:48:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends-Indep: debhelper (>> 2.0.0), bzip2
-Standards-Version: 3.5.2.0
+Build-Depends-Indep: debhelper (>> 3.0.0), bzip2
+Standards-Version: 3.6.2.1
 
 Package: cdfs-src
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=2
+export DH_COMPAT=3
 
 configure: configure-stamp
 configure-stamp:
@@ -99,7 +99,7 @@
 	cp 2.4/cdfs.o debian/cdfs-$(KVERS)/lib/modules/$(KVERS)/kernel/fs/
 endif
 #	dh_installdebconf	
-	dh_installdocs 2.6/cdfs.html 2.4/cdfs.png
+	dh_installdocs 2.4/cdfs.html 2.4/cdfs.png
 #	dh_installexamples
 #	dh_installmanpages
 #	dh_undocumented

## cdfs-src 2.4.20.a+2.6.18-1

=== debian/changelog ===
cdfs-src (2.4.20.a+2.6.18-1) unstable; urgency=low

  * new upstream release for kernel 2.6.18 (closes: #388388, #388389)
  * prep-deb-files dependency fixed
  * debian/*: various meta changes, debhelper level 5

 -- Eduard Bloch <blade@debian.org>  Fri, 03 Nov 2006 11:13:21 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=5
 
 configure: configure-stamp
 configure-stamp:
@@ -87,7 +87,7 @@
 
 kdist_config: prep-deb-files
 
-binary-modules:
+binary-modules: prep-deb-files
 	cd $(CURDIR)
 	mkdir -p debian/cdfs-$(KVERS)/lib/modules/$(KVERS)/kernel/fs
 ifeq ($(shell echo $(KVERS) | sed -e 's/\(...\).*/\1/'),2.6)

## cdfs-src 2.6.23-3

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules
 
 install:
-	$(MAKE) -C $(KDIR) SUBDIRS=$(pwd) modules_install
+	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules_install
 endif

=== debian/changelog ===
cdfs-src (2.6.23-3) unstable; urgency=medium

  * added compat file to delivered source tarball (closes: #455760), now
    installing the missing ko file in generated packages
  * fixed depmod call to rescan when installing for not currently 
    running kernel
  * fixed tar calls (input/output descriptor and the $TAPE problem)

 -- Eduard Bloch <blade@debian.org>  Tue, 11 Dec 2007 20:34:58 +0100

cdfs-src (2.6.23-2) unstable; urgency=low

  * Fixes a rarely appearing compilation problem, patch by Vincent
    Fourmond (closes: #452432, thanks)

 -- Eduard Bloch <blade@debian.org>  Sat, 24 Nov 2007 22:32:41 +0100

cdfs-src (2.6.23-1) unstable; urgency=low

  * New upstream version, updated for recent kernels 
    (closes: #452432, #435006, #416055)
  * Obligatory packaging fixes
  * Using latest current kernel version for package version
  * dropped patch.cdfs, it's part of tarball and needs to be unpacked
    manually either way

 -- Eduard Bloch <blade@debian.org>  Sat, 24 Nov 2007 17:33:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), bzip2
-Standards-Version: 3.6.2.1
+Build-Depends: debhelper (>> 5.0.0), bzip2
+Standards-Version: 3.7.2
 
 Package: cdfs-src
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=5
 
 configure: configure-stamp
 configure-stamp:
@@ -42,13 +39,14 @@
 
 	cd $(CURDIR)
 	mkdir -p $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian
-	for x in cdfs*bz2 ; do bzcat $$x | tar x -C $(CURDIR)/debian/cdfs-src/usr/src/modules/ ; done
+	for x in cdfs*bz2 ; do bzcat $$x | tar x -f- -C $(CURDIR)/debian/cdfs-src/usr/src/modules/ ; done
 	cd $(CURDIR)/debian/cdfs-src/usr/src/modules && mv cdfs-2.6.* cdfs/2.6 && mv cdfs-2.4* cdfs/2.4
-	cp -a debian/*modules.in* debian/rules debian/*KVERS* debian/changelog debian/copyright patch.cdfs \
+	cat debian/cdfs.include.diff | patch $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/2.6/cdfs.h
+	cp -a debian/*modules.in* debian/rules debian/compat debian/*KVERS* debian/changelog debian/copyright \
 		$(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian/
-	cp patch.cdfs debian/cdfs-src/usr/src/modules/cdfs/
+	#cp patch.cdfs debian/cdfs-src/usr/src/modules/cdfs/
 	dh_fixperms
-	cd $(CURDIR)/debian/cdfs-src/usr/src && tar c modules | bzip2 -9 > cdfs.tar.bz2 && rm -rf modules
+	cd $(CURDIR)/debian/cdfs-src/usr/src && tar -f- -c modules | bzip2 -9 > cdfs.tar.bz2 && rm -rf modules
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -126,7 +124,7 @@
 	-dh_clean
 	-rm -f $(CURDIR)/debian/control
 	-rm -rf $(CURDIR)/debian/cdfs-2.* *.o *.ko */*.o */*.ko
-	-$(MAKE) clean
+	$(MAKE) clean || true
 	-cd 2.6 && $(MAKE) clean
 	-cd 2.4 && $(MAKE) clean

## cdfs-src 2.6.23-4

=== debian/changelog ===
cdfs-src (2.6.23-4) unstable; urgency=medium

  * added a patch to make CDFS buildable and usable on kernels on kernel
    2.6.27, based on patch from David Howells and Mario Izquierdo.
    Thanks to everybody involved.

 -- Eduard Bloch <blade@debian.org>  Wed, 26 Nov 2008 16:14:39 +0100

=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,9 @@
 
 	cd $(CURDIR)
 	mkdir -p $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian
-	for x in cdfs*bz2 ; do bzcat $$x | tar x -f- -C $(CURDIR)/debian/cdfs-src/usr/src/modules/ ; done
-	cd $(CURDIR)/debian/cdfs-src/usr/src/modules && mv cdfs-2.6.* cdfs/2.6 && mv cdfs-2.4* cdfs/2.4
+	for x in cdfs*bz2 ; do bzcat $$x | tar x -f- -C debian/cdfs-src/usr/src/modules/ ; done
+	cd debian/cdfs-src/usr/src/modules && mv cdfs-2.6.* cdfs/2.6 && mv cdfs-2.4* cdfs/2.4
+	cd debian/cdfs-src/usr/src/modules/cdfs && patch -p1 < $(CURDIR)/cdfs-2.6.27.combined.patch
 	cat debian/cdfs.include.diff | patch $(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/2.6/cdfs.h
 	cp -a debian/*modules.in* debian/rules debian/compat debian/*KVERS* debian/changelog debian/copyright \
 		$(CURDIR)/debian/cdfs-src/usr/src/modules/cdfs/debian/
